OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
oms::Element Class Reference

Element. More...

`#include <Element.h>`

Inheritance diagram for oms::Element:
[legend]
Collaboration diagram for oms::Element:
[legend]

## Public Member Functions
| Element (oms_element_enu_t type, const ComRef &name)
| ~Element ()
const oms_element_enu_t | getType () const
const oms::ComRef | getName () const
oms::Connector ** | getConnectors () const
const oms::ssd::ElementGeometry * | getGeometry () const
void | setName (const ComRef &name)
void | setGeometry (const oms::ssd::ElementGeometry *newGeometry)
void | setConnectors (oms::Connector **newConnectors)
void | setBusConnectors (oms::BusConnector **newBusConnectors)
void | setSubElements (oms_element_t **subelements)

## Private Member Functions
| Element (const Element &rhs)
| not implemented
Element & | operator= (const Element &rhs)
| not implemented

## Detailed Description

Element.

## Constructor & Destructor Documentation

## ◆ Element() [1/2]

oms::Element::Element | ( | oms_element_enu_t | type,
|  | const ComRef & | name
| ) |  |

Here is the call graph for this function:

## ◆ ~Element()

oms::Element::~Element | ( |  | ) |

## ◆ Element() [2/2]

oms::Element::Element | ( | const Element & | rhs | ) |
| private

not implemented

## Member Function Documentation

## ◆ getConnectors()

oms::Connector ** oms::Element::getConnectors | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getGeometry()

const oms::ssd::ElementGeometry * oms::Element::getGeometry | ( |  | ) | const
| inline

## ◆ getName()

const oms::ComRef oms::Element::getName | ( |  | ) | const
| inline

## ◆ getType()

const oms_element_enu_t oms::Element::getType | ( |  | ) | const
| inline

## ◆ operator=()

Element & oms::Element::operator= | ( | const Element & | rhs | ) |
| private

not implemented

## ◆ setBusConnectors()

void oms::Element::setBusConnectors | ( | oms::BusConnector ** | newBusConnectors | ) |

Here is the caller graph for this function:

## ◆ setConnectors()

void oms::Element::setConnectors | ( | oms::Connector ** | newConnectors | ) |

Here is the caller graph for this function:

## ◆ setGeometry()

void oms::Element::setGeometry | ( | const oms::ssd::ElementGeometry * | newGeometry | ) |

Here is the caller graph for this function:

## ◆ setName()

void oms::Element::setName | ( | const ComRef & | name | ) |

Here is the call graph for this function:

## ◆ setSubElements()

void oms::Element::setSubElements | ( | oms_element_t ** | subelements | ) |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/Element.h
- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/Element.cpp